package common.packet;

import java.io.IOException;
import common.network.ILoginHandler;
import common.network.Packet;
import common.network.PacketBuffer;

public class LPacketLogin implements Packet<ILoginHandler> {
	public LPacketLogin() {
	}

	public void readPacketData(PacketBuffer buf) throws IOException {
		buf.readString(16);
	}

	public void writePacketData(PacketBuffer buf) throws IOException {
		buf.writeString("TESTtestPlceHldr");
	}

	public void processPacket(ILoginHandler handler) {
		handler.processLogin(this);
	}
}
